From 5107273f12f673ac0e2de4493406b2283e9a608f Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Oct 11 2017 17:28:53 +0000
Subject: [PATCH 981/1001] Some more adaptations to Fedora Bootstrap 1.1


---

diff --git a/hubs/static/client/app/components/SimpleWidget.js b/hubs/static/client/app/components/SimpleWidget.js
index 9a62fe5..5d644cc 100644
--- a/hubs/static/client/app/components/SimpleWidget.js
+++ b/hubs/static/client/app/components/SimpleWidget.js
@@ -78,7 +78,7 @@ export default class SimpleWidget extends React.PureComponent {
         { this.state.isLoading &&
           <div className="text-muted">Loading...</div>
           ||
-          <div dangerouslySetInnerHTML={{__html: this.state.contents}} />
+          <div className="p-2" dangerouslySetInnerHTML={{__html: this.state.contents}} />
         }
       </WidgetChrome>
     );
diff --git a/hubs/static/client/app/components/feed/ItemsGetter.js b/hubs/static/client/app/components/feed/ItemsGetter.js
index ff0fb0e..27f0975 100644
--- a/hubs/static/client/app/components/feed/ItemsGetter.js
+++ b/hubs/static/client/app/components/feed/ItemsGetter.js
@@ -93,8 +93,8 @@ class ItemsGetter extends React.Component {
           <Spinner />
         }
         { this.state.errorMessage &&
-          <div className="alert alert-warning mt-3 mb-0">
-            {this.state.errorMessage}
+          <div className="alert alert-warning mt-3 mb-0 py-1">
+            <small>{this.state.errorMessage}</small>
           </div>
         }
       </div>
diff --git a/hubs/static/client/app/widgets/halp/Widget.js b/hubs/static/client/app/widgets/halp/Widget.js
index 8f54123..ebeefa2 100644
--- a/hubs/static/client/app/widgets/halp/Widget.js
+++ b/hubs/static/client/app/widgets/halp/Widget.js
@@ -171,7 +171,7 @@ export default class HalpWidget extends React.Component {
         widget={this.props.widget}
         editMode={this.props.editMode}
         >
-        <div className="widget-halp">
+        <div className="widget-halp p-2">
           <HubsList
             hubs={hubs}
             onHubClick={this.onHubClick}
diff --git a/hubs/widgets/rules/__init__.py b/hubs/widgets/rules/__init__.py
index 7331acd..32b5c71 100644
--- a/hubs/widgets/rules/__init__.py
+++ b/hubs/widgets/rules/__init__.py
@@ -15,6 +15,7 @@ class Rules(Widget):
 
     name = "rules"
     position = "both"
+    display_css = "card-info"
     parameters = [
         dict(
             name="link",
